Xerces 3.1.1

## org.w3c.dom.html
Interface HTMLMapElement

All Known Implementing Classes:
  HTMLMapElementImpl

public interface HTMLMapElement
extends HTMLElement

Client-side image map. See the MAP element definition in HTML 4.0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`HTMLCollection` `getAreas()` The list of areas defined for the image map.
`java.lang.String` `getName()` Names the map (for use with `usemap` ).
`void` `setName(java.lang.String name)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getAreas

    public HTMLCollection getAreas()

  The list of areas defined for the image map.

### getName

    public java.lang.String getName()

  Names the map (for use with `usemap` ). See the name attribute definition in HTML 4.0.

### setName

    public void setName(java.lang.String name)

Xerces 3.1.1